# Get LedgerStateDelta objects for all transaction groups in a given round

GET

/v2/deltas/{round}/txn/group

Get ledger deltas for transaction groups in a given round.

## Authorizations

- **[api_key](https://dev.algorand.co/reference/rest-api/algod/#api_key)**

## Parameters

### Path Parameters

**round**  
required  
integer  
A round number.

### Query Parameters

**format**  
string  
Allowed values:  json  msgpack  
Configures whether the response object is JSON or MessagePack encoded. If not provided, defaults to JSON.

## Responses

### 200

Response containing all ledger state deltas for transaction groups, with their associated Ids, in a single round.

Select media type application/json application/msgpack

object

**Deltas**  
required  
Array<object>  
Contains a ledger delta for a single transaction group

object

**Delta**  
required  
Ledger StateDelta object

object

**Ids**  
required  
Array<string>

### 401

Invalid API Token

Select media type application/json application/msgpack

An error response with optional data field.

object

**data**  
object  
**message**  
required  
string  
An error response with optional data field.

### 404

Could not find deltas for round

Select media type application/json application/msgpack

An error response with optional data field.

object

**data**  
object  
**message**  
required  
string  
An error response with optional data field.

### 408

Timed out on request

Select media type application/json application/msgpack

An error response with optional data field.

object

**data**  
object  
**message**  
required  
string  
An error response with optional data field.

### 500

Internal Error

Select media type application/json application/msgpack

An error response with optional data field.

object

**data**  
object  
**message**  
required  
string  
An error response with optional data field.

### 501

Not Implemented

Select media type application/json application/msgpack

An error response with optional data field.

object

**data**  
object  
**message**  
required  
string  
An error response with optional data field.

### default

Unknown Error
